diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index df24e48..95dbce8 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -1835,6 +1835,55 @@ all: rootdirs noweb srcsetup lspdir srcdir
 <<clean>>
 
 @
+\subsection{Makefile.fedora8-64}
+Fedora 8 on a 64 bit machine requires gcl-2.6.8pre2
+<<Makefile.fedora8-64>>=
+GCLVERSION=gcl-2.6.8pre2
+GCLDIR=${LSP}/${GCLVERSION}
+# System dependent Makefile for the Intel/Linux platform
+# Platform variable
+PLF=LINUXplatform
+# C compiler flags
+CCF="-O2 -fno-strength-reduce -Wall -D_GNU_SOURCE -D${PLF} -I/usr/X11/include"
+# Loader flags
+LDF=" -L/usr/X11R6/lib -l Xpm "
+# C compiler to use
+CC=gcc 
+AWK=gawk
+RANLIB=ranlib
+TOUCH=touch
+TAR=tar
+AXIOMXLROOT=${AXIOM}/compiler
+O=o
+BYE=bye
+LISP=lsp
+DAASE=${SRC}/share
+# where the libXpm.a library lives
+XLIB=/usr/X11R6/lib
+<<GCLOPTS-LOCBFD>>
+<<SRCDIRS>>
+PATCH=patch
+
+ENV=PLF=${PLF} CCF=${CCF} LDF=${LDF} CC=${CC} AWK=${AWK} RANLIB=${RANLIB} \
+    TOUCH=${TOUCH} TAR=${TAR} AXIOMXLROOT=${AXIOMXLROOT} O=${O} BYE=${BYE} \
+    LISP=${LISP} DAASE=${DAASE} XLIB=${XLIB} GCLOPTS=${GCLOPTS} \
+    SRCDIRS=${SRCDIRS} PATCH=${PATCH}
+
+all: rootdirs noweb srcsetup lspdir srcdir
+	@echo 45 Makefile.linux called
+	@echo 46 Environment : ${ENV} 
+	@echo 47 finished system build on `date` | tee >lastBuildDate
+
+<<rootdirs>>
+<<noweb>>
+<<literate commands>>
+<<srcsetup>>
+<<src>>
+<<lsp>>
+<<document>>
+<<clean>>
+
+@
 \subsection{Makefile.gentoo}
 Annoyingly enough it seems that GCL uses a default extension of .lsp
 rather than .lisp so we add the [[LISP]] variable here. We need to
diff --git a/changelog b/changelog
index 673579c..d4404a9 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,4 @@
+20080526 tpd Makefile add fedora8-64 stanza
 20080526 tpd Makefile VERSION="Axiom (May 2008)"
 20080524 tpd Makefile opensuse use GCLVERSION=gcl-2.6.8pre2
 20080524 tpd Makefile GCLOPTS-CUSTRELOC disable-locbfd for MACOSXPPC
